KD.initCommon = function (mapSearchTypes, newKadmailUrl, feedbackFormUrl) {
	// initialize all behaviour of input and textarea with text example
	KD.utils.initTitle();
	KD.utils.focusInput();

	// ============== Check & set the right height
	resizeBody();
	
	// initilize feedback
	init_feedback(feedbackFormUrl);

	// make draggable
	$(".mixdatav2_genericPopUp").draggable({
		cancel : '.mixdatav2_genericPopUpMiddle,.popupOverflow,.mixdatav2_genericInputArea,.mixdatav2_genericInputArea *'
	});

	/**
	 * TODO: pas sur que ce soit vraiment common ca ?
	 */
	// create a new kadmail
	$("._actionNewKadmail").live("click", function() {
		openWindowForNewKadmail(newKadmailUrl);
	});


	function resizeBody() {
		var bodyHeight = $('body').outerHeight();
		var mixdatav2_mainPlacementAreaHeight = $('.newContainer').outerHeight();
		var mixdatav2_mentionsAreaHeight = $('.newFooter').outerHeight();

		if (mixdatav2_mainPlacementAreaHeight < (bodyHeight + mixdatav2_mentionsAreaHeight)) {
			var mixdatav2_contenuAreaHeight = $('.newcontentContainer').outerHeight();
			var mixdatav2_contenuAreaHeightSet = mixdatav2_contenuAreaHeight + (bodyHeight - mixdatav2_mainPlacementAreaHeight)
					+ mixdatav2_mentionsAreaHeight;
			
			
			$('.mixdatav2_contenuArea').css("min-height", mixdatav2_contenuAreaHeightSet); 
			$('.mixdatav2_contenuRight').css("min-height", mixdatav2_contenuAreaHeightSet);
			$('.resultArea').css("min-height", mixdatav2_contenuAreaHeightSet);
			$('.newcontentContainer').css("min-height", mixdatav2_contenuAreaHeightSet);
			$('.newcontent').css("min-height", mixdatav2_contenuAreaHeightSet);
			
		}
	}

	function init_feedback(formUrl) {
		$("#btnFeedback").live("click", function() {
			// Documentation says: no space in property list
			window.open(formUrl, 'feedback', 'height=770,width=640,toolbar=no,menubar=yes,location=no,resizable=yes,scrollbars=no,status=no');
			return false;
		});
	}
};