KD.home = {
	tweetProperties: {
		join_text : "auto",
		template: "{time}{join}{text}",
		username : "Teammixdata",
		count : 3
	},
	init: function (customTweetProperties, searchMessages, helpMessage, helpMessageTitle) {
		KD.utils.initOptions(customTweetProperties, this.tweetProperties);
		
		// Smart Tab
		$("#tabs").smartTab({
			autoProgress : true,
			transitionEffect : "none"
		});
	
		$("#_activity").click(function() {
			changeType("ACTIVITY", $(this), $("#_name"));
		});
		
		$("#_name").click(function() {
			changeType("NAME", $(this), $("#_activity"));
		});
		
		var searchInput = $("form[name='search'] input[name='searchBy']");
		var queryInput = $("form[name='search'] input[name='query']");
		var example = $("#_underSearchBarExample");
		
		$("#_indexActuContentExtractTxt_tweet").tweet(this.tweetProperties);
		
		// injection of mixdata last blog entries
		$("#_indexActuContentLeft > a.mixdatav2_indexLink2Actu").gFeed({
			target : "#_indexActuContentLeft",
			tabs : false,
			max : 3
		});
		
		function changeType (type, thisLi, otherLi) {
			searchInput.val(type);
			var currentValue = queryInput.val();
			var customValue = false ;
			for(var i in searchMessages) {
				if(i != type && searchMessages[i][0] == currentValue) {
					customValue = true ; break;
				}
			}
			if(customValue) {
				queryInput.val(searchMessages[type][0]);
			}
			queryInput.attr("title", searchMessages[type][0]);
			
			example.text(searchMessages[type][1]);
			
			otherLi.removeClass("homesprite");
			otherLi.removeClass("activeoptionindex");
			otherLi.children("span").removeClass("activeOptionIndexRadius");
			thisLi.addClass("homesprite");
			thisLi.addClass("activeoptionindex");
			thisLi.children("span").addClass("activeOptionIndexRadius");
		}
		var popupHandler = new KD.help.PopupHandler();
		popupHandler.addPosition({text: helpMessage, title: helpMessageTitle, css: {width: 400}, offset: "30 -3 0 0", of: "#indexSearchBarSearchInput", direction: "top"})
		$('#indexSearchBarSearchInput').focus(function () {
			popupHandler.start();
		});
	}
}
