function initModifyPassword() {

	passwordLength = 6;
	
	emailInput = $("form[name='modifyPasswordForm'] input[name='email']");
	emailParent = emailInput.parent();

	passwordInput = $("form[name='modifyPasswordForm'] input[name='password']");
	passwordParent = passwordInput.parent();

	passwordAgainInput = $("form[name='modifyPasswordForm'] input[name='passwordAgain']");
	passwordAgainParent = passwordAgainInput.parent();

	emailInput.change(validateEmail);
	passwordInput.change(validatePassword);
	passwordAgainInput.change(validatePasswordAgain);

	$("._actionModifyPassword").click(function() {
		if (validateEmail() && validatePassword() && validatePasswordAgain()) {
			$("form[name='modifyPasswordForm']").submit();
		}
		return false;
	});
	
	function validateEmail() {
		if(emailInput.length>0) {
			return validate(isValidEmail, emailInput, emailParent);
		} 
		return true ;
	}

	function validatePassword() {
		if (isValidLength(passwordInput.val(), passwordLength)) {
			return removeError(passwordParent);
		} else {
			return addError(passwordInput, passwordParent);
		}
	}

	function validatePasswordAgain() {
		if (isEquals(passwordAgainInput.val(), passwordInput.val())) {
			return removeError(passwordAgainParent);
		} else {
			return addError(passwordAgainInput, passwordAgainParent);
		}
	}

}